=== modified file 'plugin/md5/md5.cc'
--- plugin/md5/md5.cc	2011-04-20 22:18:30 +0000
+++ plugin/md5/md5.cc	2011-08-22 19:07:37 +0000
@@ -32,15 +32,12 @@
 class Md5Function : public Item_str_func
 {
 public:
-  Md5Function() : Item_str_func() {}
   String *val_str(String*);
 
   void fix_length_and_dec() 
   {
     max_length= 32;
-    args[0]->collation.set(
-      get_charset_by_csname(args[0]->collation.collation->csname,
-                            MY_CS_BINSORT), DERIVATION_COERCIBLE);
+    args[0]->collation.set(get_charset_by_csname(args[0]->collation.collation->csname, MY_CS_BINSORT), DERIVATION_COERCIBLE);
   }
 
   const char *func_name() const 
@@ -89,9 +86,6 @@
   return str;
 }
 
-
-plugin::Create_function<Md5Function> *md5udf= NULL;
-
 static int initialize(module::Context &context)
 {
   /* Initialize libgcrypt */
@@ -106,8 +100,7 @@
   /* Tell Libgcrypt that initialization has completed. */
   gcry_control (GCRYCTL_INITIALIZATION_FINISHED, 0);
 
-  md5udf= new plugin::Create_function<Md5Function>("md5");
-  context.add(md5udf);
+  context.add(new plugin::Create_function<Md5Function>("md5"));
   return 0;
 }
 

=== modified file 'plugin/mysql_protocol/mysql_password.cc'
--- plugin/mysql_protocol/mysql_password.cc	2011-08-22 19:02:42 +0000
+++ plugin/mysql_protocol/mysql_password.cc	2011-08-22 19:07:37 +0000
@@ -24,10 +24,6 @@
 
 const char* MySQLPasswordName = "mysql_password";
 
-MySQLPassword::MySQLPassword()
-{ 
-}
-
 const char *MySQLPassword::func_name() const
 {
   return MySQLPasswordName;

=== modified file 'plugin/mysql_protocol/mysql_password.h'
--- plugin/mysql_protocol/mysql_password.h	2011-03-14 05:40:28 +0000
+++ plugin/mysql_protocol/mysql_password.h	2011-08-22 19:07:37 +0000
@@ -18,17 +18,15 @@
 #include <drizzled/item/func.h>
 #include <drizzled/function/str/strfunc.h>
 
-namespace drizzle_plugin
-{
+namespace drizzle_plugin {
 
 extern const char* MySQLPasswordName;
 
 class MySQLPassword: public drizzled::Item_str_func
 {
 public:
-  MySQLPassword(void);
-  const char *func_name(void) const;
-  void fix_length_and_dec(void);
+  const char *func_name() const;
+  void fix_length_and_dec();
   bool check_argument_count(int n);
   drizzled::String *val_str(drizzled::String *);
 };

